package com.caliverse.admin.dynamodb.repository;

import com.caliverse.admin.domain.RabbitMq.message.AuthAdminLevelType;
import com.caliverse.admin.domain.entity.BlackList;
import com.caliverse.admin.dynamodb.domain.atrrib.AccountBaseAttrib;
import com.caliverse.admin.dynamodb.domain.doc.AccountBaseDoc;
import com.caliverse.admin.dynamodb.entity.EAuthAdminLevelType;

import java.util.List;

public interface AccountBaseRepository extends DynamoDBRepository<AccountBaseDoc> {
    boolean isBlockUser(String account_id);
    void updateBlockUserStart(String account_id, BlackList blackList);
    void updateBlockUserEnd(String account_id);
    void updateAdminLevel(String accountId, EAuthAdminLevelType type);
    AccountBaseAttrib findUser(String account_id);
}
